Bug 856820 - Add support for .bash_profile and .bash_history for CLI
Add support for .bash_profile and .bash_history for CLI
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:47 EDT by Jhon Honce
Modified: 2015-05-14 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2012-09-12 16:47:59 EDT
Description of problem:
Add support for .bash_profile and .bash_history in CLI

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Expected results:
After logging into gear the following files should exist:

~/app-root/data/.bash_profile
~/app-root/data/.bash_history


Additional info:
Comment 1 Jhon Honce 2012-09-12 16:49:13 EDT
Fixed in commit 7ad30449749b1362fd625e4d5128cd5638c190b1
Comment 2 Jianwei Hou 2012-09-13 01:43:31 EDT
Verified on devenv_2168

Steps:
1. Create an application and ssh into gear
2. After logging into gear, .bash_profile and .bash_history should exist
[php1-2168t1.dev.rhcloud.com ~]\> ls -al ~/app-root/data
total 16
drwxr-x---. 2 08ffdb8a9b334f19969507252ce4335d 08ffdb8a9b334f19969507252ce4335d 4096 Sep 13 01:39 .
drwxr-xr-x. 4 root                             08ffdb8a9b334f19969507252ce4335d 4096 Sep 13 01:34 ..
-rw-------. 1 08ffdb8a9b334f19969507252ce4335d 08ffdb8a9b334f19969507252ce4335d  141 Sep 13 01:41 .bash_history
-rwxr-x---. 1 08ffdb8a9b334f19969507252ce4335d 08ffdb8a9b334f19969507252ce4335d  116 Sep 13 01:34 .bash_profile

Note You need to log in before you can comment on or make changes to this bug.